#!/bin/bash

xset -dpms s off

if [ -f /etc/locale.conf ]; then
    cur_locale=$(cat /etc/locale.conf)
    if [ "X" != "X$(echo $cur_locale | grep zh_CN)" ]; then
        export LANG=zh_CN.UTF-8
    fi
fi
if [[ -f "/usr/share/nfs-installer-oobe/automatic-oobe" ]];then
    automatic="--automatic-oobe"
fi

# maximize default brightness for every laptop desktop
/usr/share/nfs-installer-oobe/usr/bin/xset_defaultbrightness.sh

backUUID=`cat /etc/fstab | grep '/opt/backup-recover' | awk '{print $1}' | cut -d '=' -f 2`

if [ -n "${backUUID}" ];then
    backPart=`blkid | grep "${backUUID}" | cut -d ':' -f 1`
    if [ -n "${backPart}" ];then
        mkdir -p /tmp/tmpMountP /tmp/icon
        mount ${backPart} /tmp/tmpMountP
        cp /tmp/tmpMountP/backup_data/BACKUP_FIRST/tmp/updatepool/custompackages/*.png /tmp/icon/
    fi
else
    mkdir -p /tmp/icon
    cp /usr/share/nfs-installer-oobe/custompackages/*.png /tmp/icon/
fi

/usr/share/nfs-installer-oobe/usr/bin/nfs-installer-oobe -d $automatic

exit 0

