#!/bin/bash

/usr/bin/cp -f /usr/share/nfs-installer-oobe/usr/share/nfs-installer-oobe/lightdm.conf /etc/lightdm/lightdm.conf
mkdir /usr/share/nfs-installer-oobe/usr/share/nfs-installer-oobe
/usr/bin/mv /etc/xdg/autostart/calamares-desktop-icon.desktop /usr/share/nfs-installer-oobe/usr/share/nfs-installer-oobe
/usr/bin/mv /usr/share/applications/install-debian.desktop /usr/share/nfs-installer-oobe/usr/share/nfs-installer-oobe
/usr/bin/rm -f /etc/xdg/autostart/add-oem-install-desktop.desktop
/usr/bin/rm -f /etc/xdg/autostart/oem-auto-send.desktop
/usr/bin/rm -r /QC
/usr/sbin/userdel -rf oem

if [ -f "/usr/share/nfs-installer-oobe/first_boot" ];then
    /usr/bin/rm -f /usr/share/nfs-installer-oobe/first_boot
fi
#删除oem寄送图标
if [ -f "/usr/share/applications/oem-install.desktop" ];then
    /usr/bin/rm -f /usr/share/applications/oem-install.desktop
fi
#删除/tmpHome/oem目录
if [ -d "/tmpHome" ];then
    /usr/bin/rm -rf /tmpHome
fi

loginName=`cat /usr/share/nfs-installer-oobe/usr/share/calamares/loginName`
echo -e "[SeatDefaults]\nautologin-user=${loginName}" >> /etc/lightdm/lightdm.conf.real

#删除QT缩放比环境变量
sed -i "/QT_/d" /etc/environment
#删除found-livecd-customization 解决联想熄屏问题
hasFoundLivecdCustomization=$(dpkg -l | grep found-livecd-customization )
if [ -n "$hasFoundLivecdCustomization" ];then
    dpkg -P found-livecd-customization
fi


# 曙光非U盘安装，开启快速优化
ROOTPART=`mount | grep "on / " | awk -F ' ' '{print $1}' | cut -d "/" -f 3`
if [[ "${ROOTPART}" == "nvme"* ]];then
    ROOTDISK=`echo ${ROOTPART} | cut -d 'p' -f 1`
else
    ROOTDISK=`echo ${ROOTPART} | sed 's/[0-9]//g'`
fi
ISUSB=`udevadm info -ap /sys/block/${ROOTDISK} | grep DRIVER | grep "usb-storage" | head -n 1`
ISSUGON=`cat /etc/nfs/info | grep "sugon"`
if [ -z ${ISUSB} ];then
    if [ -f /usr/share/cdos-fastboot/hwcheck.sh ];then
        /bin/bash /usr/share/cdos-fastboot/hwcheck.sh
    fi
fi

# 安装选包阶段选择的包
installCustomPackages()
{
    while IFS= read -r line
    do
        dpkg -i ${line}
    done < /tmp/packages
}
currentDir=`pwd`
backUUID=`cat /etc/fstab | grep '/opt/backup-recover' | awk '{print $1}' | cut -d '=' -f 2`
if [ -n "${backUUID}" ];then
    backPart=`blkid | grep "${backUUID}" | cut -d ':' -f 1`
    if [ -n "${backPart}" ];then
        if [ -f /tmp/packages ];then
            packages=`cat /tmp/packages`
            if [ -n "${packages}" ];then
                cd /tmp/tmpMountP/backup_data/BACKUP_FIRST/tmp/updatepool/custompackages
                installCustomPackages
            fi
        fi
        sync && cd ${currentDir} && umount /tmp/tmpMountP
    fi
else
    if [ -f /tmp/packages ];then
        packages=`cat /tmp/packages`
        if [ -n "${packages}" ];then
            cd /usr/share/nfs-installer-oobe/custompackages
            installCustomPackages
        fi
    fi
    sync && cd ${currentDir} && rm -r /usr/share/nfs-installer-oobe/custompackages
fi

#系统时间和RTC保持一致
timedatectl set-local-rtc 1

#功耗优化-系统首次安装默认关闭蓝牙
rfkill block bluetooth

#试用期激活
active_token=$(md5sum /etc/machine-id | awk '{print $1}')
dbus-send --system --print-reply --dest=com.nfs.license /com/nfs/license/Agent com.nfs.license.Agent.ImportStartProductE string:"os" string:"$active_token"

#浪潮需设置oobe结束关机
if grep -q "MINOR_VERSION.*LC.*" /etc/nfs/info;then
    iniFile=/usr/share/nfs-installer-oobe/settings.ini
    if [ -e $iniFile ];then
	finish_oobe_cmd=$(grep "finish-oobe-cmd" $iniFile | awk -F': ' '{print $2}')
    fi
fi

dpkg -P nfs-installer-oobe nfs-installer-settings nfs-installer libkpmcore12 virt-what
if [ -d /boot/efi/zhaoxin ];then
    rm -rf /boot/efi/zhaoxin
fi
rm -f /lib/systemd/system/nfs-installer-oobe.service
rm -r /usr/share/nfs-installer-oobe
mv /etc/lightdm/lightdm.conf.real /etc/lightdm/lightdm.conf
mv /usr/share/lightdm/lightdm.conf.d/01_debian.conf.real /usr/share/lightdm/lightdm.conf.d/01_debian.conf
if grep -q "MINOR_VERSION.*LC.*" /etc/nfs/info;then
    if [ -n "$finish_oobe_cmd" ];then
	$finish_oobe_cmd
    fi
fi
/usr/bin/systemctl restart lightdm
exit 0
